# -*- coding: utf-8 -*-
from __future__ import annotations

import datetime

from bthlabs_jsonrpc_core.ext import jwt


def test_as_claims(iat: datetime.datetime):
    # Given
    time_claims = jwt.TimeClaims(iat=iat, nbf=None, exp=None)

    # When
    result = time_claims.as_claims()

    # Then
    expected_claims = {
        'iat': iat,
    }
    assert result == expected_claims


def test_as_claims_with_nbf(iat: datetime.datetime, nbf: datetime.datetime):
    # Given
    time_claims = jwt.TimeClaims(iat=iat, nbf=nbf, exp=None)

    # When
    result = time_claims.as_claims()

    # Then
    expected_claims = {
        'iat': iat,
        'nbf': nbf,
    }
    assert result == expected_claims


def test_as_claims_with_exp(iat: datetime.datetime, exp: datetime.datetime):
    # Given
    time_claims = jwt.TimeClaims(iat=iat, nbf=None, exp=exp)

    # When
    result = time_claims.as_claims()

    # Then
    expected_claims = {
        'iat': iat,
        'exp': exp,
    }
    assert result == expected_claims
